<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));
$tx = strip_tags(trim(@$_POST["tx"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$nom = str_majuscules(strip_tags(str_escape(trim(@$_POST["nom"]))));
$delai= strip_tags(str_escape(trim(@$_POST["delai"])));
$lien= strip_tags(str_escape(trim(@$_POST["lien"])));

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);
switch ($td)
{
	// Ajout de la fiche Moyen
	case "add" :
		$rech = "SELECT * FROM " .TBME. " WHERE `me_code` = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rs = mysql_query("INSERT INTO " .TBME. "(me_code,me_nom,me_delai,me_lien) VALUES ('$code','$nom','$delai','$lien')") or die(mysql_error());
			$msg = $txt_fiche_add;
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		break;
		
	// Modification de la fiche Moyen
	case "edit" :
		$rech = "SELECT * FROM " .TBME. " WHERE `me_code` = '$code' AND `me_del` = '1'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 1)
		{
			$rech = "UPDATE `" .TBME. "` SET `me_nom`='".$nom."', `me_delai`='".$delai."', `me_lien`='".$lien."'";
			$rech.= " WHERE `me_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
			$msg = $txt_fiche_mod;
		}
		else
		{
			$msg = $txt_fiche_modnotok;
			$retourliste = FALSE;
		}
		break;

	// Suppression de la fiche Moyen
	case "del" :
		// Vérifie si utilisé dans une fiche envoi
		$rexist = "SELECT * FROM `" .TBRETE. "` WHERE `rete_codeme` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			$msg = "Ce moyen d'envoi est utilis&eacute; dans une fiche d'envoi !";
			$retourliste = FALSE;
		}
		else
		{
			$rech = "SELECT * FROM " .TBME. " WHERE `me_code` = '$code' AND `me_del` = '1'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 1)
			{
				// Non - > suppression de la fiche Moyen
				$rech = "DELETE FROM `" .TBME. "` WHERE `me_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
				$msg = $txt_fiche_del;
			}
			else
			{
				$msg = $txt_fiche_delnotok;
				$retourliste = FALSE;
			}
		}
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Moyen d'envoi</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>
<?PHP
if (($tx<>"r") AND ($tx<>"f"))
	include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg; ?>
</span>
</p>

<?PHP 
switch ($tx)
{
	case "r" :
	case "f" :
		cre_js_me("window.opener.");
?>
		<script type="text/javascript">
		<!--
		updatme();
		self.close('fscomp');
		//-->
		</script>
<?PHP
		break;
	default :			
		if ($retourliste == FALSE)
			aff_ret_idx_man($td,"me_lst.php",$txt_lnk_ret_liste,TRUE);
		else
			aff_ret_lst_auto("me_lst.php",2000);
		break;
}

if (($tx<>"r") AND ($tx<>"f"))
	include_once("pied.php")
?>